<script>
    import TestCaseOverview from '../../../Components/TestCaseOverview.svelte';
    import TopBid from '../../../Components/TopBid.svelte';
    import test_vectors from '../../../data/showcase/vectors_nft_offer_bundles.json';
</script>

<h1>Component: TopBid</h1>
<p class="mb-6">
    A component that indicates the bid status of an NFT. Indicates if it is or is not for sale, what
    the current top bid is, or the minimum bid necessary to start bidding if no bid currently
    placed, and a "buy now" price. Also indicates the ending date/time of the sale.
</p>

{#each test_vectors.vectors as test_case}
    <TestCaseOverview {test_case} />
    <div class="mb-6 py-5 px-6 bg-slate-300 rounded-md border border-slate-400">
        {#each test_case.mock_data as mock}
            <TopBid data={mock} />
        {/each}
    </div>
{/each}

<style>
    h1 {
        font-size: 2.5em;
        margin-bottom: 0.1em;
    }
    h2 {
        font-size: 1.5em;
    }
    .testcase {
        background-color: LightGray;
        padding-left: 1em;
        padding-top: 0.5em;
        padding-bottom: 0.5em;
        margin-top: 1em;
        margin-bottom: 1em;
    }
</style>
